Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class ResultSet

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.ResultSet
            |
            +--weblogic.jdbc.pool.ResultSet

public class ResultSet
extends weblogic.jdbcbase.pool.ResultSet
implements java.sql.ResultSet

Author:
  Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.ResultSet
`cc, conn, key, rs`

Constructor Summary
`ResultSet(java.sql.ResultSet aRs, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`boolean` | `absolute(int row)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `deleteRow()`
`boolean` | `first()`
`java.sql.Array` | `getArray(int i)`
`java.sql.Array` | `getArray(java.lang.String colName)`
`java.math.BigDecimal` | `getBigDecimal(int columnIndex)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName)`
`java.sql.Blob` | `getBlob(int i)`
`java.sql.Blob` | `getBlob(java.lang.String colName)`
`java.io.Reader` | `getCharacterStream(int columnIndex)`
`java.io.Reader` | `getCharacterStream(java.lang.String columnName)`
`java.sql.Clob` | `getClob(int i)`
`java.sql.Clob` | `getClob(java.lang.String colName)`
`int` | `getConcurrency()`
`java.sql.Date` | `getDate(int columnIndex, java.util.Calendar cal)`
`java.sql.Date` | `getDate(java.lang.String columnName, java.util.Calendar cal)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`java.sql.ResultSetMetaData` | `getMetaData()`
`java.lang.Object` | `getObject(int i, java.util.Map map)`
`java.lang.Object` | `getObject(java.lang.String colName, java.util.Map map)`
`java.sql.Ref` | `getRef(int i)`
`java.sql.Ref` | `getRef(java.lang.String colName)`
`int` | `getRow()`
`java.sql.Statement` | `getStatement()`
`java.sql.Time` | `getTime(int columnIndex, java.util.Calendar cal)`
`java.sql.Time` | `getTime(java.lang.String columnName, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int columnIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName, java.util.Calendar cal)`
`int` | `getType()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int rows)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)`
`void` | `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateBigDecimal(int columnIndex, java.math.BigDecimal x)`
`void` | `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)`
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)`
`void` | `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateBoolean(int columnIndex, boolean x)`
`void` | `updateBoolean(java.lang.String columnName, boolean x)`
`void` | `updateByte(int columnIndex, byte x)`
`void` | `updateByte(java.lang.String columnName, byte x)`
`void` | `updateBytes(int columnIndex, byte[] x)`
`void` | `updateBytes(java.lang.String columnName, byte[] x)`
`void` | `updateCharacterStream(int columnIndex, java.io.Reader x, int length)`
`void` | `updateCharacterStream(java.lang.String columnName, java.io.Reader reader, int length)`
`void` | `updateDate(int columnIndex, java.sql.Date x)`
`void` | `updateDate(java.lang.String columnName, java.sql.Date x)`
`void` | `updateDouble(int columnIndex, double x)`
`void` | `updateDouble(java.lang.String columnName, double x)`
`void` | `updateFloat(int columnIndex, float x)`
`void` | `updateFloat(java.lang.String columnName, float x)`
`void` | `updateInt(int columnIndex, int x)`
`void` | `updateInt(java.lang.String columnName, int x)`
`void` | `updateLong(int columnIndex, long x)`
`void` | `updateLong(java.lang.String columnName, long x)`
`void` | `updateNull(int columnIndex)`
`void` | `updateNull(java.lang.String columnName)`
`void` | `updateObject(int columnIndex, java.lang.Object x)`
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x, int scale)`
`void` | `updateRow()`
`void` | `updateShort(int columnIndex, short x)`
`void` | `updateShort(java.lang.String columnName, short x)`
`void` | `updateString(int columnIndex, java.lang.String x)`
`void` | `updateString(java.lang.String columnName, java.lang.String x)`
`void` | `updateTime(int columnIndex, java.sql.Time x)`
`void` | `updateTime(java.lang.String columnName, java.sql.Time x)`
`void` | `updateTimestamp(int columnIndex, java.sql.Timestamp x)`
`void` | `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)`

Methods inherited from class weblogic.jdbcbase.pool.ResultSet
`clearWarnings, close, findColumn, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCursorName, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getObject, getObject, getShort, getShort, getString, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getWarnings, next, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSet

    public ResultSet(java.sql.ResultSet aRs,
                     weblogic.jdbc.common.internal.ConnectionEnv aCc,
                     java.lang.String aKey,
                     weblogic.jdbcbase.pool.Connection aConn)
              throws java.sql.SQLException

  Parameters:
    `aRs` - java.sql.ResultSet
    `aCc` - ConnectionEnv
    `aKey` - String
    `aConn` - weblogic.jdbcbase.pool.Connection
  Throws:
    java.sql.SQLException - if there is an error

Method Detail

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.ResultSet

  Returns:
    java.sql.ResultSetMetaData
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    getMetaData in class weblogic.jdbcbase.pool.ResultSet

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  Specified by:
    getCharacterStream in interface java.sql.ResultSet

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

  Specified by:
    getCharacterStream in interface java.sql.ResultSet

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.ResultSet

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.ResultSet

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  Specified by:
    isBeforeFirst in interface java.sql.ResultSet

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  Specified by:
    isAfterLast in interface java.sql.ResultSet

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  Specified by:
    isFirst in interface java.sql.ResultSet

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  Specified by:
    isLast in interface java.sql.ResultSet

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Specified by:
    beforeFirst in interface java.sql.ResultSet

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  Specified by:
    afterLast in interface java.sql.ResultSet

### first

    public boolean first()
                  throws java.sql.SQLException

  Specified by:
    first in interface java.sql.ResultSet

### last

    public boolean last()
                 throws java.sql.SQLException

  Specified by:
    last in interface java.sql.ResultSet

### getRow

    public int getRow()
               throws java.sql.SQLException

  Specified by:
    getRow in interface java.sql.ResultSet

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  Specified by:
    absolute in interface java.sql.ResultSet

### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

  Specified by:
    relative in interface java.sql.ResultSet

### previous

    public boolean previous()
                     throws java.sql.SQLException

  Specified by:
    previous in interface java.sql.ResultSet

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.ResultSet

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.ResultSet

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.ResultSet

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.ResultSet

### getType

    public int getType()
                throws java.sql.SQLException

  Specified by:
    getType in interface java.sql.ResultSet

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Specified by:
    getConcurrency in interface java.sql.ResultSet

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  Specified by:
    rowUpdated in interface java.sql.ResultSet

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  Specified by:
    rowInserted in interface java.sql.ResultSet

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  Specified by:
    rowDeleted in interface java.sql.ResultSet

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  Specified by:
    updateNull in interface java.sql.ResultSet

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  Specified by:
    updateBoolean in interface java.sql.ResultSet

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  Specified by:
    updateByte in interface java.sql.ResultSet

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  Specified by:
    updateShort in interface java.sql.ResultSet

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  Specified by:
    updateInt in interface java.sql.ResultSet

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  Specified by:
    updateLong in interface java.sql.ResultSet

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  Specified by:
    updateFloat in interface java.sql.ResultSet

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  Specified by:
    updateDouble in interface java.sql.ResultSet

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Specified by:
    updateBigDecimal in interface java.sql.ResultSet

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    updateString in interface java.sql.ResultSet

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  Specified by:
    updateBytes in interface java.sql.ResultSet

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Specified by:
    updateDate in interface java.sql.ResultSet

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Specified by:
    updateTime in interface java.sql.ResultSet

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Specified by:
    updateTimestamp in interface java.sql.ResultSet

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Specified by:
    updateAsciiStream in interface java.sql.ResultSet

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    updateBinaryStream in interface java.sql.ResultSet

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Specified by:
    updateCharacterStream in interface java.sql.ResultSet

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

  Specified by:
    updateNull in interface java.sql.ResultSet

### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

  Specified by:
    updateBoolean in interface java.sql.ResultSet

### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

  Specified by:
    updateByte in interface java.sql.ResultSet

### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

  Specified by:
    updateShort in interface java.sql.ResultSet

### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

  Specified by:
    updateInt in interface java.sql.ResultSet

### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

  Specified by:
    updateLong in interface java.sql.ResultSet

### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

  Specified by:
    updateFloat in interface java.sql.ResultSet

### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

  Specified by:
    updateDouble in interface java.sql.ResultSet

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Specified by:
    updateBigDecimal in interface java.sql.ResultSet

### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    updateString in interface java.sql.ResultSet

### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

  Specified by:
    updateBytes in interface java.sql.ResultSet

### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Specified by:
    updateDate in interface java.sql.ResultSet

### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Specified by:
    updateTime in interface java.sql.ResultSet

### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Specified by:
    updateTimestamp in interface java.sql.ResultSet

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Specified by:
    updateAsciiStream in interface java.sql.ResultSet

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    updateBinaryStream in interface java.sql.ResultSet

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader reader,
                                      int length)
                               throws java.sql.SQLException

  Specified by:
    updateCharacterStream in interface java.sql.ResultSet

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  Specified by:
    insertRow in interface java.sql.ResultSet

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  Specified by:
    updateRow in interface java.sql.ResultSet

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  Specified by:
    deleteRow in interface java.sql.ResultSet

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  Specified by:
    refreshRow in interface java.sql.ResultSet

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  Specified by:
    cancelRowUpdates in interface java.sql.ResultSet

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  Specified by:
    moveToInsertRow in interface java.sql.ResultSet

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  Specified by:
    moveToCurrentRow in interface java.sql.ResultSet

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  Specified by:
    getStatement in interface java.sql.ResultSet

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.ResultSet

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.ResultSet

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.ResultSet

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.ResultSet

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.ResultSet

### getObject

    public java.lang.Object getObject(java.lang.String colName,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.ResultSet

### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.ResultSet

### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.ResultSet

### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.ResultSet

### getArray

    public java.sql.Array getArray(java.lang.String colName)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.ResultSet

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.ResultSet

### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.ResultSet

### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.ResultSet

### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.ResultSet

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.ResultSet

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.ResultSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD